schema {plotly} | R Documentation

## Acquire (and optionally display) plotly's plot schema

### Description

The schema contains valid attributes names, their value type, default values (if any), and min/max values (if applicable).

### Usage

    schema(jsonedit = interactive(), ...)

### Arguments

`jsonedit` | use `listviewer::jsonedit` to view the JSON?
`...` | other options passed onto `listviewer::jsonedit`

### Examples

    s <- schema()

    # retrieve acceptable `layout.mapbox.style` values
    if (!is.na(Sys.getenv('MAPBOX_TOKEN', NA))) {
      styles <- s$layout$layoutAttributes$mapbox$style$values
      subplot(
        plot_mapbox() %>% layout(mapbox = list(style = styles[3])),
        plot_mapbox() %>% layout(mapbox = list(style = styles[5]))
      )
    }

[Package plotly version 4.9.0 Index]